Closed Bug 1526659 Opened 8 months ago Closed 4 months ago

Intermittent jsreftest [taskcluster:error] Task aborted - max run time exceeded

Categories

(Core :: JavaScript Engine, defect, P5)

defect

Tracking

()

RESOLVED FIXED
mozilla69
Tracking Status
firefox-esr60 --- unaffected
firefox67 --- wontfix
firefox68 --- fixed
firefox69 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: jandem)

References

Details

(Keywords: intermittent-failure, regression, Whiteboard: [stockwell disable-recommended])

Attachments

(1 file)

#[markdown(off)]
Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=227382544&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/EYfECxFGRTes1NMMDzdgUQ/runs/0/artifacts/public/logs/live_backing.log

https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/EYfECxFGRTes1NMMDzdgUQ/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1

10:49:19 INFO - REFTEST TEST-START | file:///Z:/task_1549704618/build/tests/jsreftest/tests/jsreftest.html?test=test262/language/statements/try/cptn-catch.js
10:49:19 INFO - REFTEST TEST-LOAD | file:///Z:/task_1549704618/build/tests/jsreftest/tests/jsreftest.html?test=test262/language/statements/try/cptn-catch.js | 20540 / 21195 (96%)
10:49:19 INFO - ++DOMWINDOW == 124 (0EBF9400) [pid = 4632] [serial = 29671] [outer = 0820A410]
10:49:19 INFO - REFTEST TEST-PASS | file:///Z:/task_1549704618/build/tests/jsreftest/tests/jsreftest.html?test=test262/language/statements/try/cptn-catch.js | item 1
10:49:19 INFO - REFTEST TEST-END | file:///Z:/task_1549704618/build/tests/jsreftest/tests/jsreftest.html?test=test262/language/statements/try/cptn-catch.js
10:49:19 INFO - ++DOMWINDOW == 125 (0EBF3800) [pid = 4632] [serial = 29672] [outer = 0820A410]
[taskcluster:error] Aborting task...
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 4632 (child process of PID 4660) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 4192 (child process of PID 4660) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 4964 (child process of PID 4660) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 4660 (child process of PID 3016) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 3016 (child process of PID 4016) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 1144 (child process of PID 5444) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 4016 (child process of PID 5444) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 5444 (child process of PID 2340) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z] SUCCESS: The process with PID 2340 (child process of PID 5088) has been terminated.
[taskcluster 2019-02-09T10:49:20.227Z]
[taskcluster 2019-02-09T10:49:20.227Z] === Task Finished ===
[taskcluster 2019-02-09T10:49:20.227Z] Task Duration: 59m35.4795122s
[taskcluster 2019-02-09T10:49:20.567Z] Uploading artifact public/logs/localconfig.json from file logs\localconfig.json with content encoding "gzip", mime type "application/octet-stream" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:21.227Z] Uploading artifact public/logs/log_critical.log from file logs\log_critical.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:21.563Z] Uploading artifact public/logs/log_error.log from file logs\log_error.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:21.903Z] Uploading artifact public/logs/log_fatal.log from file logs\log_fatal.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:22.235Z] Uploading artifact public/logs/log_info.log from file logs\log_info.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:23.684Z] Uploading artifact public/logs/log_raw.log from file logs\log_raw.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:24.547Z] Uploading artifact public/logs/log_warning.log from file logs\log_warning.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:24.909Z] Uploading artifact public/test_info/jsreftest_errorsummary.log from file build\blobber_upload_dir\jsreftest_errorsummary.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:25.290Z] Uploading artifact public/test_info/jsreftest_raw.log from file build\blobber_upload_dir\jsreftest_raw.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:27.414Z] Uploading artifact public/test_info/system-info.log from file build\blobber_upload_dir\system-info.log with content encoding "gzip", mime type "text/plain" and expiry 2020-02-09T08:40:52.103Z
[taskcluster 2019-02-09T10:49:28.028Z] Uploading redirect artifact public/logs/live.log to URL https://queue.taskcluster.net/v1/task/EYfECxFGRTes1NMMDzdgUQ/runs/0/artifacts/public/logs/live_backing.log with mime type "text/plain; charset=utf-8" and expiry 2020-02-09T08:40:52.103Z
[taskcluster:error] Task aborted - max run time exceeded

Depends on: 1552047

Steven can you please assign someone to take a look at this?

There are 117 total failures in the last 7 days on windows7-32 debug and windows10-64 debug and asan.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=253834010&repo=autoland&lineNumber=166014

1:24:26 INFO - REFTEST TEST-START | file:///Z:/task_1561676828/build/tests/jsreftest/tests/jsreftest.html?test=test262/language/statements/with/S12.10_A3.8_T2.js
01:24:26 INFO - REFTEST TEST-LOAD | file:///Z:/task_1561676828/build/tests/jsreftest/tests/jsreftest.html?test=test262/language/statements/with/S12.10_A3.8_T2.js | 21168 / 21372 (99%)
[taskcluster:error] Aborting task...
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 1624 (child process of PID 3152) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 2532 (child process of PID 3152) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 516 (child process of PID 3152) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 1256 (child process of PID 3152) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 3152 (child process of PID 1148) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 1148 (child process of PID 3492) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 3532 (child process of PID 3228) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 3492 (child process of PID 3228) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 3228 (child process of PID 2648) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z] SUCCESS: The process with PID 2648 (child process of PID 3864) has been terminated.
[taskcluster 2019-06-28T01:24:26.854Z]
[taskcluster 2019-06-28T01:24:26.855Z] === Task Finished ===
[taskcluster 2019-06-28T01:24:26.855Z] Task Duration: 1h0m1.016502s
[taskcluster 2019-06-28T01:24:27.675Z] Uploading artifact public/logs/localconfig.json from file logs\localconfig.json with content encoding "gzip", mime type "application/octet-stream" and expiry 2020-06-26T23:01:06.247Z
[taskcluster 2019-06-28T01:24:28.637Z] Uploading artifact public/test_info/jsreftest_errorsummary.log from file build\blobber_upload_dir\jsreftest_errorsummary.log with content encoding "gzip", mime type "text/plain" and expiry 2020-06-26T23:01:06.247Z
[taskcluster 2019-06-28T01:24:29.273Z] Uploading artifact public/test_info/jsreftest_raw.log from file build\blobber_upload_dir\jsreftest_raw.log with content encoding "gzip", mime type "text/plain" and expiry 2020-06-26T23:01:06.247Z
[taskcluster 2019-06-28T01:24:32.962Z] Uploading artifact public/test_info/system-info.log from file build\blobber_upload_dir\system-info.log with content encoding "gzip", mime type "text/plain" and expiry 2020-06-26T23:01:06.247Z
[taskcluster 2019-06-28T01:24:33.710Z] Uploading redirect artifact public/logs/live.log to URL https://queue.taskcluster.net/v1/task/DNonm3LWSN2Gla0_IPFDEA/runs/0/artifacts/public/logs/live_backing.log with mime type "text/plain; charset=utf-8" and expiry 2020-06-26T23:01:06.247Z
[taskcluster:error] Task aborted - max run time exceeded

Flags: needinfo?(sdetar)

jsreftests timing out on Win debug builds. The snippet in comment 18 shows it's at 99% so it's close to finishing. Not too surprising because each test262 import brings with it many new tests.

We probably need 3 chunks instead of 2.

Assignee: nobody → jdemooij
Status: NEW → ASSIGNED
Flags: needinfo?(sdetar)

Tests are imported from test262 upstream so this test suite is expected to become slower over time.

Pushed by jdemooij@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/51dd2e169f3f
Use the default 3 chunks instead of 2 for Windows debug/ASan jsreftests to avoid time-outs. r=jmaher
Status: ASSIGNED → RESOLVED
Closed: 4 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla69
You need to log in before you can comment on or make changes to this bug.